Subject: bug#21020: 24.4; `display-time-world' tampers with TZ

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jul 2015 18:22:14 +0300

> Date: Mon, 27 Jul 2015 08:02:53 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > It sounds like similar changes are needed in other Gnulib headers,
> > lest they produce similar problems at some point.  I can provide a
> > list of all the __need_SOMETHING symbols used by the MinGW headers, if
> > that will help.
> 
> I looked into that and came up with the following list:
> 
> __need_NULL
> __need_ptrdiff_t
> __need_size_t
> __need_struct_timespec
> __need_time_t
> __need___va_list
> __need_wchar_t
> __need_wint_t

I think this is about right.

> The only other Gnulib header that refers to any of these symbols is stddef.in.h 
> and if it's not used in MinGW then I expect we don't need to worry about it. 

It's your call.

> Though there may be issues in MinGW itself, if it's using these symbols 
> incompatibly with what GCC expects (stddef.h is a GCC header).

And MinGW comes with it.